// Get the necessary DOM elements
const clickBtn = document.querySelector('#clickBtn');
const scoreLabel = document.querySelector('#score');
const buyBtns = document.querySelectorAll('.buyBtn');

// Initialize the game state
let score = 0;
let clicksPerSec = 0;
let clickInterval;

// Click event handler for the click button
clickBtn.addEventListener('click', () => {
  score += 1;
  scoreLabel.textContent = score;
});

// Click event handler for the buy buttons
buyBtns.forEach(btn => btn.addEventListener('click', () => {
  const cost = Number(btn.dataset.cost);
  const cps = Number(btn.dataset.clicksPerSec);
  if (score >= cost) {
    score -= cost;
    scoreLabel.textContent = score;
    clicksPerSec += cps;
    btn.parentElement.classList.add('disabled');
    btn.disabled = true;
    updateClicksPerSec();
  }
}));

// Function to update the number of clicks per second
function updateClicksPerSec() {
  clearInterval(clickInterval);
  clickInterval = setInterval(() => {
    score += clicksPerSec;
    scoreLabel.textContent = score;
  }, 1000);
}
