var points = 0;
var upgrades = {
   upgrade1: {
      name: "Upgrade 1",
      cost: 10,
      multiplier: 2,
      purchased: 0
   },
   upgrade2: {
      name: "Upgrade 2",
      cost: 20,
      multiplier: 5,
      purchased: 0
   },
   upgrade3: {
      name: "Upgrade 3",
      cost: 50,
      multiplier: 10,
      purchased: 0
   }
};

var button = document.getElementById("button");
var pointsDisplay = document.getElementById("points");
var upgradeButtons = document.querySelectorAll("#shop ul li");
var saveButton = document.getElementById("saveButton");
var loadButton = document.getElementById("loadButton");

button.addEventListener("click", function() {
   var totalMultiplier = 1;
   for (var upgrade in upgrades) {
      totalMultiplier += upgrades[upgrade].multiplier * upgrades[upgrade].purchased;
   }
   points += totalMultiplier;
   pointsDisplay.innerHTML = "You have: " + points + " points";
});

for (var i = 0; i < upgradeButtons.length; i++) {
   upgradeButtons[i].querySelector("span.cost").innerHTML = upgrades["upgrade" + (i + 1)].cost + " points";
   upgradeButtons[i].addEventListener("click", function() {
      var upgradeName = this.querySelector("span.item").innerHTML;
      for (var upgrade in upgrades) {
         if (upgrades[upgrade].name === upgradeName) {
            if (points >= upgrades[upgrade].cost) {
               points -= upgrades[upgrade].cost;
               upgrades[upgrade].purchased++;
               pointsDisplay.innerHTML = "You have: " + points + " points";
            }
            else {
               alert("You don't have enough points!");
            }
         }
      }
   });
}

saveButton.addEventListener("click", function() {
   localStorage.setItem("points", points);
   localStorage.setItem("upgrades", JSON.stringify(upgrades));
   alert("Game saved!");
});

loadButton.addEventListener("click", function() {
   if (localStorage.getItem("points") !== null && localStorage.getItem("upgrades") !== null) {
      points = parseInt(localStorage.getItem("points"));
      upgrades = JSON.parse(localStorage.getItem("upgrades"));
      for (var upgrade in upgrades) {
         upgradeButtons[parseInt(upgrade.charAt(upgrade.length - 1)) - 1].querySelector("span.cost").innerHTML = upgrades[upgrade].cost + " points";
      }
      pointsDisplay.innerHTML = "You have: " + points + " points";
      alert("Game loaded!");
   }
   else {
      alert("There is no saved game!");
   }
});
